package com.unis.base.server.dao;

import com.unis.base.common.vo.CompanyQualificationQueryVO;
import com.unis.base.server.entity.QyzgQyzgxxDO;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;

public interface QyzgQyzgxxDao {
    
    int deleteByPrimaryKey(String id);

    int insert(QyzgQyzgxxDO record);

    int insertSelective(QyzgQyzgxxDO record);


    QyzgQyzgxxDO selectByPrimaryKey(String id);



    int updateByPrimaryKeySelective(QyzgQyzgxxDO record);

    int updateByPrimaryKey(QyzgQyzgxxDO record);
    
    
    /**
     * 分页获取企业资格信息列表
     * @author zoujieli
     * @param companyQualQueryVO
     */
    List<QyzgQyzgxxDO> getCompanyQualification(CompanyQualificationQueryVO companyQualQueryVO);

    QyzgQyzgxxDO getCompanyQualificationInfo(Map<String, Object> selectMap);
}